{ config, pkgs, ... }:

{
  networking.hostName = "oxigraph";
  system.stateVersion = "22.11";
  c3d2.hq.statistics.enable = true;
  deployment = {
    mem = 8192;
  };

  users = {
    groups.oxigraph = {};
    users.oxigraph = {
      isSystemUser = true;
      group = "oxigraph";
      home = "/var/lib/oxigraph";
      createHome = true;
    };
  };

  systemd.services.oxigraph = {
    wantedBy = [ "multi-user.target" ];
    after = [ "network.target" ];
    serviceConfig = {
      User = "oxigraph";
      Group = "oxigraph";
      ExecStart = "${pkgs.oxigraph}/bin/oxigraph_server serve -l ${config.users.users.oxigraph.home}/data";
    };
  };
}
